# Selecting Locations

Secure a location that is randomly selected that has a private space with EM
shielding, or no electronics in at least a 10 m radius. A moving vehicle (eg.
car, bus, train, ferris wheel) is also a viable alternative. Additionally, the
ceremony may be conducted in an open outdoor space, such as a forest, or a
desert, at a location that is not near any human made buildings. The point of
narrowing the location selection to these spaces is that it makes it hard for a
malicious actor to prepare for the ceremony and deploy equipment for
side-channel attacks - with the intent of stealing the cryptographic material
which is produced or managed during key ceremonies.

The location should be selected immediately before the ceremony in order to
eliminate the possibility of a malicious actor having time to infiltrate and
compromise the space ahead of the ceremony. The location may be compromised
anyways, as a malicious actor may have done so with another target in mind, or a
more broad campaign, for example in the case for three letter agencies may plant
cameras and microphones in hotels for intel gathering.